Bug 14795 - Ругань при установке grub-0.97-alt3
: Ругань при установке grub-0.97-alt3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grub)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-06 19:22 by
Modified: 2008-08-08 20:13 (History)


Attachments
workaround for 'line 7 - to many arguments...' error (118.46 KB, patch)
2008-04-09 21:30, Mike
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-06 19:22:15
20: grub                    
##########################################################################################
[ 95%]
/usr/sbin/detectloader: hdb: grub
/root/tmp/rpm-tmp.66887: line 7: [: too many arguments
Please install GRUB manually.

Typo в script-let-е:

elif [ -s /etc/sysconfig/grub -a grep -q quit /etc/sysconfig/grub ]; then
------- Comment #1 From 2008-04-09 21:30:31 -------
Created an attachment (id=2557) [details]
workaround for 'line 7 - to many arguments...' error

заменил  elif [ -s /etc/sysconfig/grub -a grep -q quit /etc/sysconfig/grub ]
на elif [ -s /etc/sysconfig/grub -a grep -q quit /etc/sysconfig/grub
2>/dev/null 1>/dev/null ]
------- Comment #2 From 2008-04-10 01:22:35 -------
Надо

elif [ -s /etc/sysconfig/grub ] && grep -q quit /etc/sysconfig/grub
------- Comment #3 From 2008-04-18 19:57:13 -------
Fixed in -alt4
------- Comment #4 From 2008-08-08 20:13:11 -------
Чёта забыл закрыть. Исправляюсь.